Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 238995 - [FEATURES=test failure] x11-libs/gtk+-2.14.3 fails testsuite
Summary: [FEATURES=test failure] x11-libs/gtk+-2.14.3 fails testsuite
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-tests gnome2.24 gtk2.14-stable
  Show dependency tree
 
Reported: 2008-09-29 05:14 UTC by Ryan Hill (RETIRED)
Modified: 2009-03-01 23:06 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2008-09-29 05:14:54 UTC
TEST: object... (pid=14790)
Xlib:  extension "RANDR" missing on display ":101.0".
  /properties/GtkAboutDialog:                                          OK
  /properties/GtkAccelLabel:                                           OK
  /properties/GtkAlignment:                                            OK
  /properties/GtkArrow:                                                OK
  /properties/GtkAspectFrame:                                          OK
  /properties/GtkAssistant:                                            OK
  /properties/GtkButton:                                               OK
  /properties/GtkCalendar:                                             OK
  /properties/GtkCellView:                                             OK
  /properties/GtkCheckButton:                                          OK
  /properties/GtkCheckMenuItem:                                        OK
  /properties/GtkColorButton:                                          OK
  /properties/GtkColorSelectionDialog:                                 OK
  /properties/GtkColorSelection:                                       OK
  /properties/GtkComboBoxEntry:                                        OK
  /properties/GtkComboBox:                                             OK
  /properties/GtkCurve:
Gtk-CRITICAL **: gtk_widget_set_size_request: assertion `width >= -1' failed
aborting...
FAIL
GTester: last random seed: R02S5c2c8a5cd95a9ce3588f82f3412bb402
make[5]: *** [test] Error 143
make[5]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.14.3/work/gtk+-2.14.3/gtk/tests'


Portage 2.2_rc11 (default/linux/amd64/2008.0/developer, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.26-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-glibc2.2.5
Timestamp of tree: Mon, 29 Sep 2008 03:30:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18.50.0.9
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect cvs digest distlocks fixpackages multilib-strict parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.mirrors.tera-byte.com/ http://gentoo.osuosl.org http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,--as-needed,--hash-style=gnu"
LINGUAS="en en_US"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/dirtyepic/overlay /home/dirtyepic/svn/dirtyepic /home/dirtyepic/svn/gcc-porting"
Comment 1 Hans de Graaff gentoo-dev 2008-10-19 07:42:01 UTC
I'm seeing this with gtk-2.14.4 as well. 
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-10-19 10:46:29 UTC
oops, forgot the blockers.
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2008-11-27 05:14:36 UTC
fixed upstream
Comment 4 Mart Raudsepp gentoo-dev 2008-11-27 08:48:05 UTC
though personally hitting RANDR missing errors during tests now with Xvfb, but those I guess could be considered a different bug
Comment 5 Hans de Graaff gentoo-dev 2008-11-29 09:22:15 UTC
(In reply to comment #3)
> fixed upstream
> 

Still seeing this with x11-libs/gtk+-2.14.5. In which release has this been fixed upstream?

Comment 6 Mart Raudsepp gentoo-dev 2008-11-29 14:38:06 UTC
The GtkCurve one should be (test disabled because no-one cares about deprecated GtkCurve). There are other failures due to the RANDR extension missing, I believe.
Comment 7 Hans de Graaff gentoo-dev 2009-01-17 08:44:03 UTC
I'm still seeing the same failure as Ryan reported initially with gtk+-2.14.7.
Comment 8 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-01-29 21:00:32 UTC
I'm hitting session bus failure in /properties/GtkFileChooserButton
Comment 9 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-03-01 21:02:36 UTC
I'm hitting _no_ failures (gtk+-2.15.4) (except RANDR missing on Xvfb of course...)

Adding InOverlay keyword..
Comment 10 Gilles Dartiguelongue gentoo-dev 2009-03-01 23:06:43 UTC
gtkcurve patch included in 2.14.7-r2. I also took care of the dbus problem. Hopefully this will be enough :)